---
title: "Get Channel Account by ID"
slug: "get-channel-account-by-id"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Account by ID

Get/v1/channel-accounts/{channelAccountId}

Read a specific Channel Account by its ID.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Path parameterschannelAccountIdintegerRequired

Channel Account ID

Example44017

Query parametersincludeDeletedSubAccountsboolean

Whether to include deleted sub-accounts in counts

Responses200

Successfully retrieved the Channel Account

<select class='api-response-data' aria-label='Media type'><option value='f77659ee-bb71-499b-9a2a-4a1fd6c0111f'>application/json</option>
</select>

```json
{
  "success": "True",
  "message": "Successfully read!",
  "data": {
    "id": "53211",
    "name": "Sample Channel Account",
    "controlAccountId": "53165",
    "controlAccountName": "Sample Control Account",
    "governanceAccountName": "Sample Governance",
    "governanceAccountId": "45424",
    "purchasedStorage": "3",
    "subAccountDefaultPurchasedStorage": "1",
    "subAccountDefaultStorageQuotaType": "Soft quota",
    "storageQuotaType": "Soft quota",
    "subAccountStorage": "0.015625",
    "billableActiveStorage": "0.014321",
    "billableDeletedStorage": "0.001304",
    "subAccountsCount": "3",
    "status": "Active",
    "creationDate": "2024-07-09T08:36:50.898Z",
    "contactEmail": "contact@example.com",
    "address1": "123 Main St",
    "city": "Boston",
    "state": "Massachusetts",
    "country": "United States",
    "zip": "02101",
    "ssoEnabled": "False",
    "deleted": "False"
  }
}
```

Expand Allobject  successboolean    
messagestring    
dataobject (ChannelAccountResponse)  idinteger    
namestring    
controlAccountIdinteger    
controlAccountNamestring    
governanceAccountIdinteger    
governanceAccountNamestring    
purchasedStoragenumber    
subAccountDefaultPurchasedStoragenumber    
subAccountDefaultStorageQuotaTypestring    
storageQuotaTypestring    
subAccountStoragenumber    
billableActiveStoragenumber    
billableDeletedStoragenumber    
subAccountsCountinteger    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
deletedboolean    

404

Channel Account not found
